Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynArray_i Class Reference

`#include <DynArray_i.h>`

Inheritance diagram for TAO_DynArray_i

[legend]
Collaboration diagram for TAO_DynArray_i:

[legend]
List of all members.

## Public Methods
| TAO_DynArray_i (void)
| ~TAO_DynArray_i (void)
void | init (CORBA_TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init (const CORBA_Any& any, CORBA::Environment &ACE_TRY_ENV)
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual DynamicAny::AnySeq* | get_elements ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_elements ( const DynamicAny::AnySeq & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::DynAnySeq* | get_elements_as_dyn_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any ( const DynamicAny::DynAnySeq & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | from_any ( const CORBA::Any & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any* | to_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal ( DynamicAny::DynAny_ptr dyn_any, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynArray_i* | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
## Private Methods
CORBA::TypeCode_ptr | get_element_type (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
CORBA::ULong | get_tc_length (CORBA::TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
void | init_common (void)
| TAO_DynArray_i (const TAO_DynArray_i &src)
TAO_DynArray_i& | operator= (const TAO_DynArray_i &src)
## Private Attributes
ACE_Array_Base<DynamicAny::DynAny_var> | da_members_

## Constructor & Destructor Documentation

const char *get_rcsid_DynamicAny_ TAO_DynArray_i::TAO_DynArray_i ( | void )`[inline]`

TAO_DynArray_i::~TAO_DynArray_i ( | void )

TAO_DynArray_i::TAO_DynArray_i ( | const TAO_DynArray_i & src )`[private]`

## Member Function Documentation

TAO_DynArray_i * TAO_DynArray_i::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

void * TAO_DynArray_i::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

DynamicAny::DynAny_ptr TAO_DynArray_i::current_component ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

void TAO_DynArray_i::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean TAO_DynArray_i::equal ( | DynamicAny::DynAny_ptr rhs,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_DynArray_i::from_any ( | const CORBA::Any & value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

CORBA::TypeCode_ptr TAO_DynArray_i::get_element_type ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[private]`

DynamicAny::AnySeq * TAO_DynArray_i::get_elements ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

DynamicAny::DynAnySeq * TAO_DynArray_i::get_elements_as_dyn_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::ULong TAO_DynArray_i::get_tc_length ( | CORBA::TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[private]`

void TAO_DynArray_i::init ( | const CORBA_Any & any,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynArray_i::init ( | CORBA_TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynArray_i::init_common ( | void )`[private]`

TAO_DynArray_i& TAO_DynArray_i::operator= ( | const TAO_DynArray_i & src )`[private]`

void TAO_DynArray_i::set_elements ( | const DynamicAny::AnySeq & value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

void TAO_DynArray_i::set_elements_as_dyn_any ( | const DynamicAny::DynAnySeq & values,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

CORBA::Any_ptr TAO_DynArray_i::to_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

## Member Data Documentation

ACE_Array_Base< DynamicAny::DynAny_var > TAO_DynArray_i::da_members_`[private]`

The documentation for this class was generated from the following files:

- DynArray_i.h
- DynArray_i.cpp